Nice-FFI 0.4 released

Nice-FFI 0.4 is now available. You can install the new version with gem install nice-ffi, as usual. Please note that Nice-FFI is still not considered API-stable, so if you aren’t willing to update your code when a new version comes out, you shouldn’t use it until version 1.0.

Version 0.4 fixes several major bugs related to finding and loading dynamic libraries:

  • PathSet now properly expands globs (“*”) in file and directory names, like it was supposed to.
  • PathSet now works even when a directory path has no trailing separator (“/” or “\”).
  • Fixed a typo which caused NameError when using load_library with the default paths.

You can get Nice-FFI:

Please send bug reports and feature requests to the issue tracker on Github.